function ExamQuestionDetail(filterQuestionArray, maxQuestion) {

	var questionIndex;
	var isQuestionStared;
	var data = [];
	var userAnswerId;
	var IsSubmitClick = false;
	var numberOfCorrectQuestion = 0;
	var appearedQuestionArray = [];
	var existanceStatus;
	var selectedRandomQuestionArray = [];

   var subjectArray = ['Cardiology','Clinical-Systemic Disorders','Conduction Defects','Electrolyte disorders','Ischaemic Heart Disease','Supraventricular arrhythmias','Uncommon arrhythmias','Ventricular arrhythmias'];

	var self = Ti.UI.createWindow({
		title : "title",
		backgroundColor : 'white',
		modal : true,
		navBarHidden : true

	});

	self.orientationModes = [Titanium.UI.PORTRAIT];
	//alert(filterQuestionArray.length);

	var length = filterQuestionArray.length - 1;

	//get random number question
	while (selectedRandomQuestionArray.length != maxQuestion) {
		//alert('inn');
		var randomIndex = Math.floor(Math.random() * length) + 1;

		if (appearedQuestionArray.indexOf(randomIndex) == -1) {
			selectedRandomQuestionArray.push(randomIndex);
		}

	}

	var indexCount = 0;
	questionIndex = selectedRandomQuestionArray[indexCount];
	appearedQuestionArray.push(questionIndex);
	listData(questionIndex);

	// create table view data object
	function listData(passedQuestionId) {
		////alert("in list" +PassedQuestionId);
		Ti.API.info('enter in list data');

		// *******************Header View*******************************
		var headerView = Titanium.UI.createView({
			width : '100%',
			top : 0,
			height : '42dp',
			backgroundImage : '/images/topbar_plane.png',
			top : "0%"
		});

		self.add(headerView);
		// Header View for home screen
		var homeHeaderTitle = Titanium.UI.createLabel({

			color : 'white',
			font : {
				fontSize : '16dp'
			},
			textAlign : Ti.UI.TEXT_ALIGNMENT_CENTER,
		});
		headerView.add(homeHeaderTitle);

		var backButton = Titanium.UI.createButton({
			left : "2dp",
			center : true,
			height : '30dp',
			width : "89dp",
			backgroundImage : '/images/exam_mode.png'

		});

		backButton.addEventListener('click', function(e) {
			self.close();

			var ApplicationTabGroup = require('ui/common/ExamMode/Resultlist');

			var theTabGroup = new ApplicationTabGroup(maxQuestion, numberOfCorrectQuestion);

			theTabGroup.open();
			/*
			 var SubjectDetailWIndow = require('ui/common/Home/SubjectlistDetailOfEachCourse');
			 var windowObj = new SubjectDetailWIndow(subjectName,QuestionDictionary);
			 */
			return;

		});

		headerView.add(backButton);
		homeHeaderTitle.setText(filterQuestionArray[questionIndex].Topic);

		PassedQuestionId = passedQuestionId;
		for (var c = 0; c < 4; c++) {

			if (!IsSubmitClick) {
				if (c == 2) {

				} else {
					data[c] = Ti.UI.createTableViewSection({
						headerTitle : '  ',
						headerView : Ti.UI.createView({
							height : 8
						})
					});
				}
			} else {

				data[c] = Ti.UI.createTableViewSection({
					headerTitle : '',
					headerView : Ti.UI.createView({
						height : 8
					})

				});
			}

			if (c == 0) {

				var questionLabel = Ti.UI.createLabel({
					text : filterQuestionArray[questionIndex].Question,
					height : 'auto',
					width : '80%',
					color : "black",
					left : "10%",
					font : {
						fontSize : '16dp'
					}
				});

				var questionRow = Ti.UI.createTableViewRow({
					height : 'auto',
					className : 'questionRow',
					backgroundColor : "white",
					width : "100%"
				});
				questionRow.add(questionLabel);
				data[c].add(questionRow);

			} else if (c == 1) {
				var count = 5;
				var answerRow1, answerRow2, answerRow3, answerRow4, answerRow5;
				var rightButton1, rightButton2, rightButton3, rightButton4, rightButton5;
				for (var x = 0; x < count; x++) {
					if (x == 0) {
						var label = Ti.UI.createLabel({
							text : filterQuestionArray[questionIndex].A,
							height : 'auto',
							width : '70%',
							left : "10%",
							color : "black",
							font : {
								fontSize : '16dp'
							}

						});

						rightButton1 = Titanium.UI.createButton({
							right : "10%",
							height : '20dp',
							width : '20dp',
							row : x,
							section : c,
							backgroundImage : '/images/right.png',
							center : true,
							visible : false
						});

						answerRow1 = Ti.UI.createTableViewRow({
							height : 'auto',
							className : 'answerRow',
							backgroundColor : "white",
							width : "100%"
						});
						answerRow1.add(label);
						answerRow1.add(rightButton1);
						data[c].add(answerRow1);

					} else if (x == 1) {
						var label = Ti.UI.createLabel({
							text : filterQuestionArray[questionIndex].B,
							height : 'auto',
							width : '70%',
							left : "10%",
							color : "black",
							font : {
								fontSize : '16dp'
							}

						});
						rightButton2 = Titanium.UI.createButton({
							right : "10%",
							height : '20dp',
							width : '20dp',
							row : x,
							section : c,
							backgroundImage : '/images/right.png',
							center : true,
							visible : false
						});
						answerRow2 = Ti.UI.createTableViewRow({
							height : 'auto',
							className : 'answerRow',
							backgroundColor : "white",
							width : "100%"
						});
						answerRow2.add(label);
						answerRow2.add(rightButton2);
						data[c].add(answerRow2);

					} else if (x == 2) {
						var label = Ti.UI.createLabel({
							text : filterQuestionArray[questionIndex].C,
							height : 'auto',
							width : '70%',
							left : "10%",
							color : "black",
							font : {
								fontSize : '16dp'
							}

						});
						rightButton3 = Titanium.UI.createButton({
							right : "10%",
							height : '20dp',
							width : '20dp',
							row : x,
							section : c,
							backgroundImage : '/images/right.png',
							center : true,
							visible : false
						});
						answerRow3 = Ti.UI.createTableViewRow({
							height : 'auto',
							className : 'answerRow',
							backgroundColor : "white",
							width : "100%"
						});
						answerRow3.add(label);
						answerRow3.add(rightButton3);
						data[c].add(answerRow3);
					} else if (x == 3) {
						var label = Ti.UI.createLabel({
							text : filterQuestionArray[questionIndex].D,
							height : 'auto',
							width : '70%',
							left : "10%",
							color : "black",
							font : {
								fontSize : '16dp'
							}

						});
						rightButton4 = Titanium.UI.createButton({
							right : "10%",
							height : '20dp',
							width : '20dp',
							row : x,
							section : c,
							backgroundImage : '/images/right.png',
							center : true,
							visible : false
						});
						answerRow4 = Ti.UI.createTableViewRow({
							height : 'auto',
							className : 'answerRow',
							backgroundColor : "white",
							width : "100%"
						});
						answerRow4.add(label);
						answerRow4.add(rightButton4);
						data[c].add(answerRow4);
					} else if (x == 4) {
						var label = Ti.UI.createLabel({
							text : filterQuestionArray[questionIndex].E,
							height : 'auto',
							width : '70%',
							left : "10%",
							color : "black",
							font : {
								fontSize : '16dp'
							}

						});
						rightButton5 = Titanium.UI.createButton({
							right : "10%",
							height : '20dp',
							width : '20dp',
							row : x,
							section : c,
							backgroundImage : '/images/right.png',
							center : true,
							visible : false
						});
						answerRow5 = Ti.UI.createTableViewRow({
							height : 'auto',
							className : 'answerRow',
							backgroundColor : "white",
							width : "100%"
						});
						answerRow5.add(label);
						answerRow5.add(rightButton5);
						data[c].add(answerRow5);
					}

				}

				if (IsSubmitClick) {
					switch(userAnswerId) {
						case 1:
							answerRow1.setBackgroundColor("red");
							setTimeout(function() {
								rightButton1.show();
							}, 500);
							break;
						case 2:
							answerRow2.setBackgroundColor("red");
							setTimeout(function() {
								rightButton2.show();
							}, 500);
							break;
						case 3:
							answerRow3.setBackgroundColor("red");
							setTimeout(function() {
								rightButton3.show();
							}, 500);
							break;
						case 4:
							answerRow4.setBackgroundColor("red");
							setTimeout(function() {
								rightButton4.show();
							}, 500);
							break;
						case 5:
							answerRow5.setBackgroundColor("red");
							setTimeout(function() {
								rightButton5.show();
							}, 500);
							break;
						default :
					}

					switch(filterQuestionArray[questionIndex].Answer) {
						case 'A':
							answerRow1.setBackgroundColor("green");
							break;
						case 'B':
							answerRow2.setBackgroundColor("green");
							break;
						case 'C':
							answerRow3.setBackgroundColor("green");
							break;
						case 'D':
							answerRow4.setBackgroundColor("green");
							break;
						case 'E':
							answerRow5.setBackgroundColor("green");
							break;
						default :
					}
				}

			} else if (c == 2) {
				if (IsSubmitClick) {
					////alert("secondtiime");
					var descriptionlabel = Ti.UI.createLabel({
						text : filterQuestionArray[questionIndex].Explanation,
						height : 'auto',
						width : '90%',
						color : "black",
						left : "2%",
						font : {
							fontSize : '16dp'
						}

					});

					var descriptionRow = Ti.UI.createTableViewRow({
						height : 'auto',
						className : 'questionRow',
						backgroundColor : "white",
						width : "100%"
					});
					descriptionRow.add(descriptionlabel);
					data[c].add(descriptionRow);
				}
			} else if (c == 3) {
				var third = 2;
				for (var x = 0; x < third; x++) {
					if (x == 0) {

						var View = Titanium.UI.createView({
							width : '100%',
							height : '60dp',
							top : "0%"

						});

						var difficulitylabelFirst = Ti.UI.createLabel({
							left : '5%',
							width : '30dp',
							height : '30dp',
							backgroundImage : '/images/bars1.png',
							center : true,
							bottom : "10%"
						});
						View.add(difficulitylabelFirst);

						var submitButton = Titanium.UI.createButton({

							width : "99dp",
							height : "34dp",
							center : true,
							backgroundImage : '/images/submit.png',
							subjectID : filterQuestionArray[questionIndex].subjectID,
							questionId : filterQuestionArray[questionIndex].QustionId

						});

						submitButton.addEventListener('click', function(e) {
							Ti.API.info("got click event");
							if (userAnswerId) {
								IsSubmitClick = true;
								//listData();
								data = [];
								tableview.setData(data);
								listData(questionIndex);

								testUserAnswerAndUpdateStatus(e.source.subjectID, e.source.questionId);
							} else {
								alert('Please select Answer');
							}

							return;

						});

						var dictionaryButton = Titanium.UI.createButton({
							backgroundImage : '/images/abbreviations.png',
							width : "30dp",
							height : "30dp",
							left : "75%",
							center : true
						});

						var weightParameterButton = Titanium.UI.createButton({
							backgroundImage : '/images/laboratory.png',
							width : "30dp",
							height : "30dp",
							center : true,
							right : "2%"
						});

						var Submitrow = Ti.UI.createTableViewRow({
							height : '60dp',
							className : 'Submitrow',
							width : "100%",
							backgroundColor : "white",

						});
						View.add(dictionaryButton);
						View.add(weightParameterButton);

						View.add(submitButton);

						switch(filterQuestionArray[questionIndex].Difficulty) {
							case 1: {
								difficulitylabelFirst.backgroundImage = '/images/bars1.png';
								break;
							}

							case 2: {
								difficulitylabelFirst.backgroundImage = '/images/bars2.png';
								break;
							}

							case 3: {
								difficulitylabelFirst.backgroundImage = '/images/bars3.png';
								break;
							}

							default:
								break;
						}
						Submitrow.add(View);
						data[c].add(Submitrow);

						//*********************************Abervisation Button functionality******************************************

						dictionaryButton.addEventListener('click', function(e) {
							Ti.API.info("got click event");
							var ApplicationTabGroup = require('ui/common/Home/Abbreviations');

							var theTabGroup = new ApplicationTabGroup(filterQuestionArray[questionIndex].Topic);

							theTabGroup.open();

							return;

						});
						weightParameterButton.addEventListener('click', function(e) {
							Ti.API.info("got click event");
							var ApplicationTabGroup = require('ui/common/Home/Laboratry');

							var theTabGroup = new ApplicationTabGroup(filterQuestionArray[questionIndex].Topic);

							theTabGroup.open();

							return;

						});

					}

					if (x == 1) {
						////alert("in1");
						var qustionSelctionView = Titanium.UI.createView({
							width : '100%',
							height : '50dp',
							top : "0%"

						});

						checkStaredOrNot(filterQuestionArray[questionIndex].subjectID, filterQuestionArray[questionIndex].QustionId);
						//passing subject id and question id
						var starButton = Titanium.UI.createButton({
							width : "33dp",
							height : "33dp",
							center : true,
							backgroundImage : isQuestionStared ? '/images/radio_Active2x.png' : '/images/radio_inactive2x.png',
							top : "5dp",
							subjectID : filterQuestionArray[questionIndex].subjectID,
							questionId : filterQuestionArray[questionIndex].QustionId

						});

						starButton.addEventListener('click', function(e) {

							if (e.source.backgroundImage == '/images/radio_Active2x.png') {
								e.source.backgroundImage = '/images/radio_inactive2x.png';
								UpdateDictionary(e.source.subjectID, e.source.questionId);

							} else {
								e.source.backgroundImage = '/images/radio_Active2x.png';
								UpdateDictionary(e.source.subjectID, e.source.questionId);
							}

							return;
						});

						var previousQuestionButton = Titanium.UI.createButton({
							width : "105dp",
							height : "44dp",
							center : true,
							left : "5%",
							top : "5dp",
							backgroundImage : '/images/previous.png'

						});

						previousQuestionButton.addEventListener('click', function(e) {

							IsSubmitClick = false;
							data = [];
							tableview.setData(data);
							indexCount--;
							questionIndex = selectedRandomQuestionArray[indexCount];
							listData(questionIndex);

							return;

						});

						var nextQuestionButton = Titanium.UI.createButton({
							width : "105dp",
							height : "44dp",
							center : true,
							left : "60%",
							top : "5dp",
							backgroundImage : '/images/next.png'

						});

						nextQuestionButton.addEventListener('click', function(e) {
							if (indexCount == maxQuestion - 1) {
								self.close();
								var ApplicationTabGroup = require('ui/common/ExamMode/Resultlist');
								var theTabGroup = new ApplicationTabGroup(maxQuestion, numberOfCorrectQuestion);
								theTabGroup.open();
							} else {
								IsSubmitClick = false;
								data = [];
								tableview.setData(data);
								indexCount++;
								questionIndex = selectedRandomQuestionArray[indexCount];
								listData(questionIndex);
							}
							return;
						});

						var linkShow = Titanium.UI.createButton({
							width : "200dp",
							height : "322dp",
							backgroundImage : '/images/default.png',
							top : "70dp",

						});

						linkShow.addEventListener('click', function(e) {

							IsSubmitClick = false;
							Ti.Platform.openURL("http://one2onemedicine.com/courses/");
							return;

						});

						var Submitrownew = Ti.UI.createTableViewRow({
							height : '450dp',
							className : 'Submitrownew',
							backgroundColor : "white",
							width : "100%",

						});

						Submitrownew.add(qustionSelctionView);
						qustionSelctionView.add(previousQuestionButton);
						qustionSelctionView.add(starButton);
						qustionSelctionView.add(nextQuestionButton);
						Submitrownew.add(linkShow);

						//**********check for 1st and last question

						if (indexCount == 0)
							setTimeout(function() {
								previousQuestionButton.hide();
							}, 1000);

						if (indexCount == maxQuestion - 1)
							setTimeout(function() {
								//nextQuestionButton.hide();
								nextQuestionButton.setBackgroundImage('/images/finish.png');

							}, 1000);

						data[c].add(Submitrownew);

					}
				}
			}

		}
		// create table view
		tableview = Titanium.UI.createTableView({
			data : data,
			style : Titanium.UI.iPhone.TableViewStyle.GROUPED,
			minRowHeight : "50dp",
			top : "42dp",
			width : "100%",
			//backgroundColor : "#fff",
			scrollable : true

		});

		self.add(tableview);

		//************************************table click event*******************

		tableview.addEventListener('click', function(e) {
			Ti.API.info("got click event");
			if (e.source.toString() != '[object TiUIButton]') {
				var rowId = e.index;
				userAnswerId = rowId;

				//alert(rowId);
				switch(rowId) {
					case 1:
						rightButton1.show();
						rightButton2.hide();
						rightButton3.hide();
						rightButton4.hide();
						rightButton5.hide();
						break;

					case 2:
						rightButton2.show();
						rightButton1.hide();
						rightButton3.hide();
						rightButton4.hide();
						rightButton5.hide();
						break;

					case 3:
						rightButton3.show();
						rightButton2.hide();
						rightButton1.hide();
						rightButton4.hide();
						rightButton5.hide();
						break;

					case 4:
						rightButton4.show();
						rightButton2.hide();
						rightButton3.hide();
						rightButton1.hide();
						rightButton5.hide();
						break;

					case 5:
						rightButton5.show();
						rightButton2.hide();
						rightButton3.hide();
						rightButton4.hide();
						rightButton1.hide();
						break;
				}

			}
			return;

		});

	}

	//this method update the AppQuestionStatus Dictionay according to star button selection Array
	//this method update the AppQuestionStatus Dictionay according to star button selection Array
	function UpdateDictionary(subjectID, questionID) {

		//alert(subjectID);
		//alert(questionID);
		var questionStatusDictionary = JSON.parse(JSON.stringify(Ti.App.Properties.getObject('AppQuestionStatus')));
		//alert(questionStatusDictionary);
		var questionStatusArray = questionStatusDictionary[subjectArray[subjectID]];
		//fatching question array for particular subject
		//alert(questionStatusArray);
		if (questionStatusArray[questionID].isStared) {
			questionStatusArray[questionID].isStared = 0;
		} else {
			questionStatusArray[questionID].isStared = 1;
		}

		questionStatusDictionary[subjectArray[subjectID]] = questionStatusArray;
		Ti.App.Properties.setObject('AppQuestionStatus', questionStatusDictionary);

	}

	function testUserAnswerAndUpdateStatus(subjectID, questionID) {
		var answerStatus;
		var correctAnswerId;
		switch(filterQuestionArray[questionIndex].Answer) {
			case 'A':
				correctAnswerId = 1;
				break;
			case 'B':
				correctAnswerId = 2;
				break;
			case 'C':
				correctAnswerId = 3;
				break;
			case 'D':
				correctAnswerId = 4;
				break;
			case 'E':
				correctAnswerId = 5;
				break;
			default :
		}

		if (correctAnswerId == userAnswerId) {
			answerStatus = 1;
			numberOfCorrectQuestion++;
		} else {
			answerStatus = 0;
		}

		////alert(answerStatus);

		//********************************update question answer status************************************

		var questionStatusDictionary = JSON.parse(JSON.stringify(Ti.App.Properties.getObject('AppQuestionStatus')));
		var questionArray = questionStatusDictionary[subjectArray[subjectID]];
		//fatching question array for particular subject
		Titanium.API.info('questionArray' + questionArray);
		//alert(questionArray);

		//change that question is answerd by user

		questionArray[questionID].isAnswered = 1;

		//change that whether answerd is wrong or right
		if (answerStatus) {
			questionArray[questionID].answerStatus = 1;
		} else {
			questionArray[questionID].answerStatus = 0;
		}

		questionStatusDictionary[subjectArray[subjectID]] = questionArray;
		Ti.App.Properties.setObject('AppQuestionStatus', questionStatusDictionary);
		Titanium.API.info(questionStatusDictionary);
		//alert(Ti.App.Properties.getObject('AppQuestionStatus'));

	}

	function checkStaredOrNot(SubjectId, questionId) {
		var questionStatusDictionary = JSON.parse(JSON.stringify(Ti.App.Properties.getObject('AppQuestionStatus')));

		var questionArray = questionStatusDictionary[subjectArray[SubjectId]];
		//fatching question array for particular subject

		//stared status
		if (questionArray[questionId].isStared)
			isQuestionStared = 1;
		else
			isQuestionStared = 0;
		/*
		 //answered status
		 if(questionArray[index].isAnswered)
		 isQuestionAnswered = 1;
		 else
		 isQuestionAnswered = 0;

		 //correct status
		 if(questionArray[index].answerStatus)
		 isQuestionCorrect = 1;
		 else
		 isQuestionCorrect = 0;
		 */

	}

	return self;
};

module.exports = ExamQuestionDetail;
