function Laboratry(title) {

	var self = Ti.UI.createWindow({
		title : "title",
		//modal : true,
		backgroundColor : "gray",
		navBarHidden : true
	});
	self.orientationModes = [Titanium.UI.PORTRAIT];
	// *******************Header View*******************************
	var headerView = Titanium.UI.createView({
		width : '100%',
		top : 0,
		height : '44dp',
		backgroundImage : '/images/topbar_plane.png',
		top : "0%"
	});

	self.add(headerView);

	var backButton = Titanium.UI.createButton({
		left : "2dp",
		center : true,
		height : '30dp',
		width : "auto",
		backgroundImage : '/images/back_arrow_btn.png',
		font : {
			fontSize : '14dp'
		},
		color : "white",

	});
	headerView.add(backButton);
	backButton.setTitle("   " + title.substr(0, 20) + '...');
	
	
	var doneButton = Titanium.UI.createButton({
		right : "2dp",
		center : true,
		height : '29dp',
		width : "50dp",
		backgroundImage : '/images/done@2x.png',
		title : "Done",
		color : "white",
		font : {
			fontSize : '14dp'
		}
		//borderWidth : "5dp"

	});

	headerView.add(doneButton);

	doneButton.addEventListener('click', function(e) {
		self.close();

		return;

	});
	backButton.addEventListener('click', function(e) {
		self.close();

		return;

	});

	//************************************************web view*******************************************
	var webview = Ti.UI.createWebView({
		url : '/reference.html',
		width : "100%",
		height : '100%',
		top : "50dp",
		enableZoomControls : false,
		horizontalWrap : false,
		right : "0dp"
	});
	self.add(webview);
	return self;
};

module.exports = Laboratry;
