function test(title) {
                        
	var self = Ti.UI.createWindow({
		title : "title",
		//backgroundColor : 'white',
		//modal : true,
		backgroundColor : "#99FFFFFF",
		navBarHidden: true
	});
	self.orientationModes = [Titanium.UI.PORTRAIT];
		
		
	var lastScaleValue = 1;
 
var win = Titanium.UI.createWindow({
    exitOnClose : true,
    navBarHidden : true
});
 
var hScrollView = Titanium.UI.createScrollView({
    left : 0,
    top : 0,
    width : '100%',
    height : '100%',
    backgroundColor : 'blue',
    contentHeight : 400,
    contentWidth : 400,
    scrollType : 'horizontal'
});
 
var vScrollView = Titanium.UI.createScrollView({
    left : 0,
    top : 0,
    // width : '100%',
    // height : '100%',
    backgroundColor : 'green',
    contentHeight : 400,
    contentWidth : 400,
    scrollType : 'vertical',
    touchEnabled : false
});
 
var pinchView = Titanium.UI.createImageView({
    // left : 0,
    // top : 0,
    width : Ti.UI.SIZE,
    height : Ti.UI.SIZE,
    image : '/images/2HB - Mobitz 1 - Wenckebach2.png',
    backgroundColor : 'red',
    touchEnabled : false
});
 
var textView = Titanium.UI.createLabel({
    left : 0,
    bottom : 50,
    width : 400,
    height : 30,
    text : 'Pinch the image to zoom'
});
 
 
hScrollView.addEventListener('pinch', function(e) {
 
    Titanium.API.error("Scale value: " + e.scale);
 
    if(lastScaleValue <= e.scale) {
        lastScaleValue = e.scale
    } else {
        lastScaleValue -= (1-e.scale);
    }
 
    if(1 >= lastScaleValue) {
        lastScaleValue = 1;
    } else if (5.5 <= lastScaleValue) {
        lastScaleValue = 5.5;
    }
 
   // alert("lastScaleValue value: " + lastScaleValue);
 
    if(1 <= lastScaleValue) {
        var t = Ti.UI.create2DMatrix().scale(lastScaleValue);
        pinchView.transform = t;
 
        vScrollView.contentHeight = Math.round(400 * lastScaleValue) ;
        hScrollView.contentWidth = Math.round(480 * lastScaleValue);
 
        //Force to redraw
        vScrollView.left = vScrollView.left;
        hScrollView.left = hScrollView.left;
 
        Titanium.API.error("Height value: " + pinchView.height);
        Titanium.API.error("Width value: " + pinchView.width);
    }
});
 
 
hScrollView.add(vScrollView);
vScrollView.add(pinchView);
self.add(hScrollView);
self.add(textView);
self.open();	
		
	return self;
};

module.exports = test;
