function HomeWindow(title) {
	var self = Ti.UI.createWindow({
		title : "title",
		backgroundColor : '#aaaaaa',
		navBarHidden : true,
		//modal : true

		//top : '20dp'

	});

	var subjectArray = ['Clinical-Systemic Disorders', 'Conduction Defects', 'Electrolyte disorders', 'Ischaemic Heart Disease', 'Supraventricular arrhythmias', 'Uncommon arrhythmias', 'Ventricular arrhythmias'];

	self.orientationModes = [Titanium.UI.PORTRAIT];
	var osname = Ti.Platform.osname;

	//cerate empty staus dictionary
	createDictionary();

	// *******************Header View*******************************
	var headerView = Titanium.UI.createView({
		width : '100%',
		height : '42dp',
		backgroundColor : "black",
		backgroundImage : '/images/topbar.png',
		top : "0%"
	});

	self.add(headerView);

	// i value image view
	//Addimg sbas button
	var iBtn = Titanium.UI.createButton({
		textAlign : Ti.UI.TEXT_ALIGNMENT_RIGHT,
		backgroundImage : '/images/info_iconnext.png',
		right : "10dp",
		center : true,
		height : '25dp',
		width : "25dp"

	});

	headerView.add(iBtn);
	//***********************************ibtn click event************************************
	iBtn.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the star button");
		//getAllStaredQuestion();

		var ApplicationTabGroup = require('ui/common/Home/Information');

		var theTabGroup = new ApplicationTabGroup();

		theTabGroup.open();

		/*
		 var ApplicationTabGroup = require('ui/common/Home/test');

		 var theTabGroup = new ApplicationTabGroup();

		 theTabGroup.open();*/

	});

	///*****************************************

	//*********************************** functionality Btn and their events*************************************
	//Addimg sbas button
	var sbasButton = Titanium.UI.createButton({
		//title : 'SBAS',
		top : "100dp",
		width : "105dp",
		height : "44dp",
		backgroundImage : '/images/sba@2x.png'
	});

	self.add(sbasButton);

	//Button action
	sbasButton.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the sbas button");
		////alert("Test button clicked");

		var ApplicationTabGroup = require('ui/common/Home/SubjectListView');

		var theTabGroup = new ApplicationTabGroup();
		theTabGroup.open();

		/*
		 var ApplicationTabGroup = require('ui/common/Home/SubjectListView');
		 //create component instance
		 var welcomeWindow = Ti.UI.createWindow({
		 backgroundColor : '#ffffff',
		 orientationModes : [Titanium.UI.PORTRAIT],
		 navBarHidden : true,
		 exitOnClose : false
		 });

		 //construct UI
		 var welcome = new ApplicationTabGroup();
		 ApplicationTabGroup.add(welcome);
		 welcomeWindow.open();

		 */

	});

	//Adding Starred question button
	var starButton = Titanium.UI.createButton({
		//title : 'Stareed Question',
		top : "200dp",
		width : "185dp",
		height : "47dp",
		backgroundImage : '/images/starred_btn@2x.png'

	});

	self.add(starButton);

	//Buttona ction
	starButton.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the star button");
		//getAllStaredQuestion();

		var ApplicationTabGroup = require('ui/common/Home/starredQuestionList');

		var theTabGroup = new ApplicationTabGroup();

		theTabGroup.open();

	});

	//Adding result button
	var resultButton = Titanium.UI.createButton({
		//title : 'Result',
		top : "300dp",
		width : "105dp",
		height : "44dp",
		fontstyle : "bold",
		backgroundImage : '/images/result@2x.png'
	});

	self.add(resultButton);

	//Buttona ction
	resultButton.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the result button");
		////alert("Test button clicked");
		//getResult();

		var ApplicationTabGroup = require('ui/common/Result');

		var theTabGroup = new ApplicationTabGroup();

		theTabGroup.open();
	});

	//********************************************Tab view*****************************************
	// bottom view
	var tabView = Titanium.UI.createView({
		width : '100%',
		height : '60dp',
		left : '0%',
		//backgroundColor : 'black',
		bottom : "0%",
		backgroundImage : '/images/footer_bar.png'
	});
	self.add(tabView);

	var tabHomeView = Titanium.UI.createView({
		width : '50%',
		height : '100%',
		left : '0%',
		layout : 'vertical',
		backgroundImage : '/images/selected.png'

	});
	tabView.add(tabHomeView);

	var homeButton = Ti.UI.createButton({

		height : '35dp',
		width : '35dp',
		//title : 'Home',
		//color : "black",
		//backgroundColor : 'red',
		backgroundImage : '/images/home_edit_active.png',
		top : "5dp"
	});
	tabHomeView.add(homeButton);

	var name = Titanium.UI.createLabel({
		text : "Home",
		color : "white",

		font : {
			fontSize : '15dp'
		},
		height : 'auto',
		width : 'auto'
	});

	tabHomeView.add(name);

	//*****************Hide this btn****************************//
	/*
	 var examModeButton = Ti.UI.createButton({
	 top : '0%',
	 left : '33.33%',
	 height : '100%',
	 width : (osname == 'android') ? '33.33%' : '102dp',
	 //title : 'ExamMode',
	 //color : "black",
	 //backgroundColor : 'blue',
	 backgroundImage : '/images/exam_mode_unpressed@2x.png'

	 });
	 tabView.add(examModeButton);
	 */

	var tabSettingsView = Titanium.UI.createView({
		width : '50%',
		height : '100%',
		left : '50%',
		layout : 'vertical',
		backgroundImage : '/images/unselected.png'

	});
	tabView.add(tabSettingsView);

	var settingsButton = Ti.UI.createButton({

		height : '35dp',
		width : '35dp',
		backgroundImage : '/images/setting_edit_deactive.png',
		top : "5dp"

	});
	tabSettingsView.add(settingsButton);
	var nameSettings = Titanium.UI.createLabel({
		text : "Settings",
		color : "white",

		font : {
			fontSize : '15dp'
		},
		height : 'auto',
		width : 'auto'
	});

	tabSettingsView.add(nameSettings);

	// homebtn click listener
	//Button action
	tabHomeView.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the sbas button");
		////alert("Test button clicked");

		var ApplicationTabGroup = require('ui/common/HomeWindow');

		var theTabGroup = new ApplicationTabGroup();

		theTabGroup.open();

	});
	// Exam mode btn

	/*
	examModeButton.addEventListener('click', function(e) {
	Titanium.API.info("You clicked the sbas button");
	////alert("Test button clicked");

	var ApplicationTabGroup = require('ui/common/ExamWindow');

	var theTabGroup = new ApplicationTabGroup();

	theTabGroup.open();

	});*/

	//
	tabSettingsView.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the sbas button");
		////alert("Test button clicked");

		var ApplicationTabGroup = require('ui/common/SettingWindow');

		var theTabGroup = new ApplicationTabGroup();

		theTabGroup.open();

	});

	function getResult() {
		var resultDict = {};

		var subjectArray = ['Clinical-Systemic Disorders', 'Conduction Defects', 'Electrolyte disorders', 'Ischaemic Heart Disease', 'Supraventricular arrhythmias', 'Uncommon arrhythmias', 'Ventricular arrhythmias'];

		var questionStatusDictionary = Ti.App.Properties.getObject('AppQuestionStatus');
		for (var i = 0; i < subjectArray.length; i++) {
			var questionArray = questionStatusDictionary[subjectArray[i]];
			////alert(questionArray);

			// //alert(JSON.stringify(questionArray));
			var count = JSON.parse(JSON.stringify(questionArray));
			//alert(count.length);

			var totalAnsweredCount = 0;
			var totalCorrectCount = 0;
			var totalQuestion;
			totalQuestion = count.length;
			for (var j = 0; j < count.length; j++) {
				if (questionArray[j].isAnswered) {
					totalAnsweredCount++;
				}

				if (questionArray[j].answerStatus) {
					totalCorrectCount++;
				}
			}

			var result = {};
			result["total"] = totalQuestion;
			result["Answered"] = totalAnsweredCount;
			result["Correct"] = totalCorrectCount;

			resultDict[subjectArray[i]] = result;
		}
		////alert(resultDict);
	}

	//this function creates a app properties for question dictionary
	function createDictionary() {
		//PARSING JSON FILE

		//create empty status dictionary if not created
		if (!Ti.App.Properties.getObject('AppQuestionStatus')) {
			var AppQuestionStatus = {};
			for ( i = 0; i < subjectArray.length; i++) {
				var QuestionDictionary;
				var questionStatus = [];

				var fileName = subjectArray[i] + '.json';
				Titanium.API.info(fileName);
				var file = Titanium.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory, fileName);
				if (file.exists()) {
					var filedata = (file.read().text);
					QuestionDictionary = JSON.parse(filedata);
				}

				for (var count = 0; count < QuestionDictionary.length; count++) {
					var obj = {};
					obj["isStared"] = 0;
					obj["isAnswered"] = 0;
					obj["answerStatus"] = 0;
					questionStatus.push(obj);
				}

				AppQuestionStatus[subjectArray[i]] = questionStatus;
			}
			//add this empty Dictionary in App properties
			Ti.App.Properties.setObject('AppQuestionStatus', AppQuestionStatus);
			//alert(QuestionDictionary.length);
		} else {
			//alert(Ti.App.Properties.getObject('AppQuestionStatus'));

		}
	}

	return self;
};

module.exports = HomeWindow;

