function Resultlist(maxQuestion, numberOfCorrectQuestion) {
	//alert(maxQuestion);
	//alert(numberOfCorrectQuestion);
   var subjectArray = ['Clinical-Systemic Disorders','Conduction Defects','Electrolyte disorders','Ischaemic Heart Disease','Supraventricular arrhythmias','Uncommon arrhythmias','Ventricular arrhythmias'];

	var data = [];
	var self = Ti.UI.createWindow({
		title : "title",
		tabBarHidden : true,
		backgroundColor : 'white',
		modal : true,
		navBarHidden : true

	});
	self.orientationModes = [Titanium.UI.PORTRAIT];

	// *******************Header View*******************************
	var headerView = Titanium.UI.createView({
		width : '100%',
		top : 0,
		height : '42dp',
		backgroundImage : '/images/topbar_plane.png',
		top : "0%"
	});

	self.add(headerView);
	// Header View for home screen
	var homeHeaderTitle = Titanium.UI.createLabel({
		text : "Quiz Result",
		color : 'white',
		font : {
			fontSize : '16dp'
		},
		textAlign : Ti.UI.TEXT_ALIGNMENT_CENTER,
	});
	headerView.add(homeHeaderTitle);

	var backButton = Titanium.UI.createButton({
		left : "2dp",
		center : true,
		height : '30dp',
		width : "89dp",
		backgroundImage : '/images/exam_mode.png'

	});

	backButton.addEventListener('click', function(e) {
		self.close();

		return;

	});

	headerView.add(backButton);
	var semTable = Ti.UI.createTableView({
		left : 0,
		top : '45dp',
		height : '90%',
		backgroundColor : 'transparent'
	});
	// Add to the parent view.
	self.add(semTable);

	createRow(subjectArray.length);

	function createRow(passedCount) {
		for (var i = 0; i < passedCount; i++) {
			//---------------custom row-------------
			var row = Titanium.UI.createTableViewRow({
				height : '50dp',

			});

			var OverallLbl = Titanium.UI.createLabel({
				text : "",
				font : {
					fontSize : '18dp'
				},
				textAlign : Ti.UI.TEXT_ALIGNMENT_LEFT,
				color : 'black',
				left : '20dp',
				width : "auto"
			});
			if (i == 0) {
				OverallLbl.setText("Overall Result");
			} else {
				OverallLbl.setText("");

			}
			row.add(OverallLbl);

			var scorelable = Titanium.UI.createLabel({
				font : {
					fontSize : '16dp'
				},
				color : 'red',
				left : '60%',
				width : "auto",
				center : true
			});
			if (i == 0) {
				////alert(numberOfCorrectQuestion + "/" + maxQuestion);
				scorelable.setText(numberOfCorrectQuestion + "/" + maxQuestion);
			} else {
				scorelable.setText("");

			}
			row.add(scorelable);
			var scoreGrade = Titanium.UI.createLabel({
				text : "",
				font : {
					fontSize : '16dp'
				},
				textAlign : Ti.UI.TEXT_ALIGNMENT_LEFT,
				color : 'red',
				left : '85%',
				width : "auto",
				center : true
			});
			if (i == 0) {
				if (numberOfCorrectQuestion != 0) {
					scoreGrade.setText(Math.round((numberOfCorrectQuestion / maxQuestion) * 100) + "%");
				} else {
					scoreGrade.setText("0%");

				}
			} else {
				scoreGrade.setText("");

			}

			row.add(scoreGrade);
			data.push(row);

		}
		semTable.setData(data);

	}

	return self;
};

module.exports = Resultlist;
