function ExamWindow(title) {
	var data = [];
	var top = 100;
	var filterQuestionArray = [];
	var subjectSelcetedList = [];
	var selctedDiffculityValue = [];
	var totalQuestionCount = 0;
	var totalCourseQuestionData;
	var totalQustionforTest;
	var selctedQustionforTest;
	var slider;
	var sliderValue;

	var osname = Ti.Platform.osname;
   var subjectArray = ['Clinical-Systemic Disorders','Conduction Defects','Electrolyte disorders','Ischaemic Heart Disease','Supraventricular arrhythmias','Uncommon arrhythmias','Ventricular arrhythmias'];

	var counter = 0;
	var self = Ti.UI.createWindow({
		title : "title",
		backgroundColor : '#aaaaaa',
		height : '100%',
		width : '100%',
		navBarHidden : true
	});
	self.orientationModes = [Titanium.UI.PORTRAIT];
	// *******************Header View*******************************
	var headerView = Titanium.UI.createView({
		width : '100%',
		height : '42dp',
		backgroundColor : "black",
		backgroundImage : '/images/topbar.png',
		top : "0%"
	});

	self.add(headerView);
	// Header View for home screen
	// i value image view
	//Addimg sbas button
	var iBtn = Titanium.UI.createButton({
		textAlign : Ti.UI.TEXT_ALIGNMENT_RIGHT,
		backgroundImage : '/images/info_iconnext.png',
		right : "10dp",
		center : true,
		height : '25dp',
		width : "25dp"

	});

	headerView.add(iBtn);
	//***********************************ibtn click event************************************
	iBtn.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the star button");
		//getAllStaredQuestion();

		var ApplicationTabGroup = require('ui/common/Home/Information');

		var theTabGroup = new ApplicationTabGroup();

		theTabGroup.open();

	});
	//headerView.add(iBtn);

	//********************************************Scroller view*****************************************

	var scrollView = Titanium.UI.createScrollView({
		contentWidth : 'auto',
		contentHeight : 'auto',
		showVerticalScrollIndicator : true,
		showHorizontalScrollIndicator : true,
		height : '80%',
		width : '100%',
		top : "50dp",
		scrollable : true
	});
	self.add(scrollView);
	// ******************************* sub section label*******************************************
	var subSelcetionview = Titanium.UI.createView({
		borderRadius : 0,
		width : '82%',
		height : '100dp',
		top : '0%'
	});
	scrollView.add(subSelcetionview);
	var subSelcetionTxt = Titanium.UI.createLabel({
		text : "Selcet a number questions from each subject and their difficulty level.",
		height : '100%',
		font : {
			fontSize : "15dp"
		},
		width : '100%',
		top : '0%',
		color : 'black',
		textAlign : Ti.UI.TEXT_ALIGNMENT_LEFT
	});
	subSelcetionview.add(subSelcetionTxt);

	//*****************************section of course question view**************************************
	createViewcourse(subjectArray.length);
	function createViewcourse(passedcount) {

		for (var i = 0; i < passedcount; i++) {
			//---------------custom row-------------

			var viewcourse = Titanium.UI.createView({
				borderRadius : 0,
				width : '80%',
				height : '40dp',

				backgroundColor : "white",
				viewcourse_id : i,
				visible : true,
				zIndex : 999
			});

			viewcourse.setTop(100 + (40 * i) + "dp");

			var titleLbl = Titanium.UI.createLabel({
				text : subjectArray[i],
				textAlign : Ti.UI.TEXT_ALIGNMENT_LEFT,
				color : 'black',
				left : '20dp',
				height : '38dp',
				top : "0dp",
				center : true,
				font : {
					fontSize : "14dp",
					fontWeight : 'bold'
				},
				viewcourse_id : i
			});
			viewcourse.add(titleLbl);

			var arrowButton = Ti.UI.createButton({
				width : '20dp',
				height : '20dp',
				center : "true",
				right : '20dp',
				viewcourse_id : i,
				backgroundImage : '/images/right.png'

			});

			if (subjectSelcetedList.indexOf(i) != -1) {
				viewcourse.add(arrowButton);

			} else {

			}

			var divider = Ti.UI.createButton({
				width : '100%',
				height : '2dp',
				center : "true",
				backgroundImage : '/images/dividernew.png',
				top : "38dp",
				viewcourse_id : i
			});

			viewcourse.add(divider);
			scrollView.add(viewcourse);
			top = top + 40;
			// **************************selction functionality of course********************************
			viewcourse.addEventListener('click', function(e) {

				if ((subjectSelcetedList.indexOf(e.source.viewcourse_id) == -1)) {
					subjectSelcetedList.push(e.source.viewcourse_id);

					createViewcourse(subjectArray.length);

				} else {

					subjectSelcetedList.splice(subjectSelcetedList.indexOf(e.source.viewcourse_id), 1);

					createViewcourse(subjectArray.length);
				}

				//alert(subjectSelcetedList);
				calculateTotalQuestion();

				return;

			});
		}
	}

	// ******************************* difficulty level label*******************************************

	top = top + 50;

	var difficultylabelview = Titanium.UI.createView({
		borderRadius : 0,
		width : '100%',
		height : '30dp',
		top : top + "dp"
	});
	scrollView.add(difficultylabelview);
	var difficultylabelTxt = Titanium.UI.createLabel({
		text : "Selcet the difficulty level you want :",
		height : '100%',
		font : {
			fontSize : "15dp"
		},
		width : '100%',
		top : '0%',
		color : 'black',
		textAlign : Ti.UI.TEXT_ALIGNMENT_CENTER
	});
	difficultylabelview.add(difficultylabelTxt);

	//*****************************section diffculty*************************************
	top = top + 30;

	var diffclityVal;
	diffclityVal = top;
	diffculityChoosenByUser(diffclityVal);

	function diffculityChoosenByUser(diffclityValInMethod) {
		for (var i = 0; i < 3; i++) {
			//---------------custom row-------------

			var viewdiffuclity = Titanium.UI.createView({
				borderRadius : 0,
				width : '80%',
				height : '50dp',
				top : diffclityValInMethod + (50 * i) + "dp",
				diffculity_question_id : i,
				backgroundColor : "white"

			});
			/*
			 if (selctedDiffculityValue.indexOf(i) != -1) {
			 //alert("inlop>>iff" + selctedDiffculityValue);
			 viewdiffuclity.setBackgroundColor("#00ffff");
			 } else {
			 viewdiffuclity.setBackgroundColor("white");
			 //alert("inlop>>else" + selctedDiffculityValue);

			 }*/

			var difficulitylabelFirst = Ti.UI.createLabel({
				width : '2%',
				height : '10dp',
				left : '10%',
				backgroundImage : '/images/green_line.png',
				center : true,
				bottom : '10dp',
				diffculity_question_id : i

			});

			var difficulitylabelSecond = Ti.UI.createLabel({
				width : '2%',
				height : '20dp',
				left : '13%',
				backgroundImage : '/images/yellow_line.png',
				center : true,
				bottom : '10dp',
				diffculity_question_id : i

			});

			var difficulitylabelThird = Ti.UI.createLabel({
				width : '2%',
				height : '30dp',
				left : '16%',
				backgroundImage : '/images/red_line.png',
				center : true,
				bottom : '10dp',
				diffculity_question_id : i

			});

			var titleLbl = Titanium.UI.createLabel({
				text : "Diffculity Level" + (i + 1),
				color : 'black',
				left : '40%',
				height : '38dp',
				center : true,
				font : {
					fontSize : "14dp",
					fontWeight : 'bold'
				},
				diffculity_question_id : i

			});
			viewdiffuclity.add(titleLbl);
			var arrowButtonDiffculity = Ti.UI.createButton({
				width : '20dp',
				height : '20dp',
				center : "true",
				right : '15dp',
				viewcourse_id : i,
				backgroundImage : '/images/right.png'

			});
			if (selctedDiffculityValue.indexOf(i) != -1) {
				//alert("if>> selctedDiffculityValue" + selctedDiffculityValue);
				viewdiffuclity.add(arrowButtonDiffculity);
			} else {
				//alert("else" + selctedDiffculityValue);

			}
			var divider = Ti.UI.createButton({
				width : '100%',
				height : '2dp',
				center : "true",
				backgroundImage : '/images/dividernew.png',
				top : "48dp",
				diffculity_question_id : i

			});
			viewdiffuclity.add(divider);
			if (i == 0) {
				viewdiffuclity.add(difficulitylabelFirst);
			} else if (i == 1) {
				viewdiffuclity.add(difficulitylabelFirst);
				viewdiffuclity.add(difficulitylabelSecond);
			} else if (i == 2) {
				viewdiffuclity.add(difficulitylabelFirst);
				viewdiffuclity.add(difficulitylabelSecond);
				viewdiffuclity.add(difficulitylabelThird);
			}
			scrollView.add(viewdiffuclity);
			top = top + 50;

			// **************************selction functionality of course********************************
			viewdiffuclity.addEventListener('click', function(e) {

				if ((selctedDiffculityValue.indexOf(e.source.diffculity_question_id) == -1)) {
					selctedDiffculityValue.push(e.source.diffculity_question_id);
					//alert("selctedDiffculityValue inn  " + selctedDiffculityValue);
					diffculityChoosenByUser(diffclityValInMethod);

				} else {

					selctedDiffculityValue.splice(selctedDiffculityValue.indexOf(e.source.diffculity_question_id), 1);
					diffculityChoosenByUser(diffclityValInMethod);
				}

				//alert(selctedDiffculityValue);
				calculateTotalQuestion();
				return;

			});
		}
	}

	//**************************how many qustion tested  ? *******************************************
	top = top + 40;

	var howManyQuestionlabelview = Titanium.UI.createView({
		borderRadius : 0,
		width : '80%',
		height : '50dp',
		top : top + "dp"
	});
	scrollView.add(howManyQuestionlabelview);

	var howManyQuestionlabelTxt = Titanium.UI.createLabel({
		text : "How Many questions would you like\nto be tested on ?",
		height : '100%',
		font : {
			fontSize : "15dp"
		},
		width : '100%',
		top : '0%',
		color : 'black',
		textAlign : Ti.UI.TEXT_ALIGNMENT_LEFT
	});
	howManyQuestionlabelview.add(howManyQuestionlabelTxt);

	//*******************************slider**********************************
	top = top + 50;
	slider = Ti.UI.createSlider({

		min : 0,
		max : 100,
		top : top + "dp",
		value : 0,
		width : "80%",
		center : true

	});
	slider.addEventListener('change', function(e) {
		//alert('slider.value: ' + slider.getValue());
		Ti.API.info('slider.value: ' + slider.getValue());
		sliderValue = Math.round(slider.getValue());
		selctedQustionforTest.setText(sliderValue);

	});
	scrollView.add(slider);

	//**************************testAvailabelQustionview*******************************************
	top = top + 40;

	var testAvailabelQustionview = Titanium.UI.createView({
		borderRadius : 0,
		width : '65%',
		height : '50dp',
		top : top + "dp",
		center : true,
		textAlign : Ti.UI.TEXT_ALIGNMENT_CENTER,

	});
	scrollView.add(testAvailabelQustionview);

	selctedQustionforTest = Titanium.UI.createLabel({
		text : "0",
		height : 'auto',
		font : {
			fontSize : "15dp"
		},
		width : '30dp',
		top : '0%',
		color : 'black',
		left : "0dp",

	});
	testAvailabelQustionview.add(selctedQustionforTest);

	var defaultOfTest = Titanium.UI.createLabel({
		text : "of",
		height : 'auto',
		font : {
			fontSize : "15dp"
		},
		width : '20dp',
		top : '0%',
		color : 'black',
		left : "30dp",

	});
	testAvailabelQustionview.add(defaultOfTest);

	totalQustionforTest = Titanium.UI.createLabel({
		text : "0",
		height : 'auto',
		font : {
			fontSize : "15dp"
		},
		width : '30dp',
		top : '0%',
		color : 'black',
		left : "50dp",

	});
	testAvailabelQustionview.add(totalQustionforTest);

	var defaulttestAvailable = Titanium.UI.createLabel({
		text : "tests available",
		height : 'auto',
		font : {
			fontSize : "15dp"
		},
		width : '160dp',
		top : '0%',
		color : 'black',
		left : "80dp",

	});
	testAvailabelQustionview.add(defaulttestAvailable);

	//********************************start test button *********************************
	top = top + 40;
	var startTstBtn = Ti.UI.createButton({
		width : '105dp',
		height : '44dp',
		center : "true",
		backgroundImage : '/images/start_test.png',
		top : top + "dp"

	});
	scrollView.add(startTstBtn);

	//*********************start test event********************************
	startTstBtn.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the sbas button");

		//create filter dictionary

		if (subjectSelcetedList.length == 0) {
			alert("Please choose atleast one Subject");

		} else if (selctedDiffculityValue.length == 0) {
			alert("Please choose Difficulty");

		} else if (sliderValue == 0) {
			alert("Please choose atleast one question");

		} else {
			cerateQuestionDictionary();
			var ApplicationTabGroup = require('ui/common/ExamMode/ExamQuestionDetail');
			var theTabGroup = new ApplicationTabGroup(filterQuestionArray, sliderValue);
			theTabGroup.open();

		}

	});

	// ****************************bottom view******************************************
	var tabView = Titanium.UI.createView({
		width : '100%',
		height : '47dp',
		left : '0%',
		//backgroundColor : 'black',
		bottom : "0%",
		backgroundImage : '/images/footer_bar.png'
	});
	self.add(tabView);

	var homeButton = Ti.UI.createButton({
		top : '0',
		left : 0,
		height : '100%',
		width : (osname == 'android') ? '33.33%' : '102dp',
		//title : 'Home',
		//color : "black",
		//backgroundColor : 'red',
		backgroundImage : '/images/home_unpressd@2x.png'
	});
	tabView.add(homeButton);

	var examModeButton = Ti.UI.createButton({
		top : '0%',
		left : '33.33%',
		height : '100%',
		width : (osname == 'android') ? '33.33%' : '102dp',
		//title : 'ExamMode',
		//color : "black",
		//backgroundColor : 'blue',
		backgroundImage : '/images/exam_mode_pressed@2x.png'

	});
	tabView.add(examModeButton);

	var settingsButton = Ti.UI.createButton({
		top : '0%',
		left : '66.66%',
		height : '100%',
		width : (osname == 'android') ? '33.33%' : '102dp',
		//title : 'Settings',
		//color : "black",
		//backgroundColor : 'blue',
		backgroundImage : '/images/setting_unpressed@2x.png'

	});
	tabView.add(settingsButton);

	// homebtn click listener
	//Button action
	homeButton.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the sbas button");
		//alert("Test button clicked");

		var ApplicationTabGroup = require('ui/common/HomeWindow');

		var theTabGroup = new ApplicationTabGroup();

		theTabGroup.open();

	});
	// Exam mode btn

	examModeButton.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the sbas button");
		//alert("Test button clicked");

		var ApplicationTabGroup = require('ui/common/ExamWindow');

		var theTabGroup = new ApplicationTabGroup();

		theTabGroup.open();

	});
	//
	settingsButton.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the sbas button");
		//alert("Test button clicked");

		var ApplicationTabGroup = require('ui/common/SettingWindow');

		var theTabGroup = new ApplicationTabGroup();

		theTabGroup.open();

	});

	function calculateTotalQuestion() {
		totalQuestionCount = 0;
		for (var j = 0; j < subjectSelcetedList.length; j++) {
			var fileName = subjectArray[subjectSelcetedList[j]] + '.json';

			var file = Titanium.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory, fileName);
			var filedata = (file.read().text);
			var QuestionDictionary = JSON.parse(filedata);
			//totalQuestionCount =  totalQuestionCount + QuestionDictionary.length;

			for (var i = 0; i < QuestionDictionary.length; i++) {
				var questionDifficulty = QuestionDictionary[i].Difficulty;
				if (selctedDiffculityValue.indexOf(questionDifficulty - 1) != -1) {
					totalQuestionCount++;
				}

			}

		}

		//alert(totalQuestionCount);
		totalQustionforTest.setText(totalQuestionCount);
		slider.setMax(totalQuestionCount);

	}

	function cerateQuestionDictionary() {
		filterQuestionArray = [];
		//empty the array every time
		for (var j = 0; j < subjectSelcetedList.length; j++) {
			var fileName = subjectArray[subjectSelcetedList[j]] + '.json';

			var file = Titanium.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory, fileName);
			var filedata = (file.read().text);
			var QuestionDictionary = JSON.parse(filedata);
			//totalQuestionCount =  totalQuestionCount + QuestionDictionary.length;
			for (var i = 0; i < QuestionDictionary.length; i++) {
				var questionDifficulty = QuestionDictionary[i].Difficulty;
				if (selctedDiffculityValue.indexOf(questionDifficulty - 1) != -1) {
					//adding subject id and question id in Dictionary
					QuestionDictionary[i]["subjectID"] = subjectSelcetedList[j];
					QuestionDictionary[i]["QustionId"] = i;
					filterQuestionArray.push(QuestionDictionary[i]);

				}

			}
		}

	}

	return self;
};

module.exports = ExamWindow;

