function starredQuestionList() {
	var data = [];
    //alert("in");
	var QuestionDictionary = {};
	var filterQuestionArray = [];
	var allQuestionArray = [];
	var isStarClick = new Boolean();
	isStarClick = true;
	var countArray = [100];

   var subjectArray = ['Clinical-Systemic Disorders','Conduction Defects','Electrolyte disorders','Ischaemic Heart Disease','Supraventricular arrhythmias','Uncommon arrhythmias','Ventricular arrhythmias'];

	var starquestionDict = {};
	var isQuestionStared;
	var isQuestionAnswered;
	var isQuestionCorrect;
	var osname = Ti.Platform.osname;

	//retriveStarredQuestion();

	getAllStaredQuestion();

	var self = Ti.UI.createWindow({
		title : "title",
		tabBarHidden : true,
		backgroundColor : 'white',
		//modal : true,
		navBarHidden : true
	});
	self.orientationModes = [Titanium.UI.PORTRAIT];

	//Adding loading view
	var style;
	if (Ti.Platform.name === 'iPhone OS') {
		style = Ti.UI.iPhone.ActivityIndicatorStyle.DARK;
	} else {
		style = Ti.UI.ActivityIndicatorStyle.DARK;
	}

	activityIndicator = Ti.UI.createActivityIndicator({
		color : 'black',
		font : {
			fontFamily : 'Helvetica Neue',
			fontSize : 26,
			fontWeight : 'bold'
		},
		message : 'Loading...',
		style : style,
		center : true,
		height : Ti.UI.SIZE,
		width : Ti.UI.SIZE,
	});
	self.add(activityIndicator);

	// *******************Header View*******************************
	var headerView = Titanium.UI.createView({
		width : '100%',
		top : 0,
		height : '42dp',
		backgroundImage : '/images/topbar_plane.png',
		top : "0%"
	});

	self.add(headerView);
	// Header View for home screen
	var homeHeaderTitle = Titanium.UI.createLabel({
		text : 'Starred Questions',
		color : 'white',
		font : {
			fontSize : '20dp'
		},
		width : '200dp',
		top : "5%",
		center : true,
		height : '42dp',
		textAlign : Ti.UI.TEXT_ALIGNMENT_CENTER,

	});
	headerView.add(homeHeaderTitle);

	var backButton = Titanium.UI.createButton({
		textAlign : Ti.UI.TEXT_ALIGNMENT_RIGHT,
		left : "2dp",
		center : true,
		height : '30dp',
		width : "57dp",
		backgroundImage : '/images/home_btn.png'

	});
	headerView.add(backButton);

	backButton.addEventListener('click', function(e) {
		self.close();
	});

	// ******************************Courses list view *********************************
	var listOfCourses = Ti.UI.createTableView({
		left : 0,
		top : '50dp',
		height : '80%',
		backgroundColor : 'transparent'
	});
	// Add to the parent view.
	self.add(listOfCourses);
	//createRow(QuestionDictionary.length);
	listOfCourses.hide();

	createRow(filterQuestionArray);
	//----------------------------method to create custom row--------------------------------
	function createRow(QuestionArray) {
          //alert(QuestionArray.length)
		for (var i = 0; i < QuestionArray.length; i++) {

			//---------------custom row-------------

			var row = Titanium.UI.createTableViewRow({
				height : '50dp',
				questionID : QuestionArray[i].QustionId,
				subjectID : QuestionArray[i].subjectID

			});

			//************************************table click event*******************
			row.addEventListener('click', function(e) {

				if (osname === 'android') {
					if (e.source.toString() != '[object Button]') {
						listOfCourses.hide();
						var ApplicationTabGroup = require('ui/common/Home/staredQuestionDetail');
						var theTabGroup;
						if (isStarClick)
							theTabGroup = new ApplicationTabGroup(filterQuestionArray, filterQuestionArray.length, e.index);
						else
							theTabGroup = new ApplicationTabGroup(allQuestionArray, allQuestionArray.length, e.index);
						theTabGroup.addEventListener('close', function() {

							getAllStaredQuestion();
							data = [];
							listOfCourses.setData(data);
							//alert(filterQuestionArray.length);
							//createRow(filterQuestionArray);
							if (isStarClick)
								createRow(filterQuestionArray);
							else {
								activityIndicator.show();
								createRow(allQuestionArray);
							}
						});
						theTabGroup.open();
					}
				} else//IOS
				{
					if (e.source.toString() != '[object TiUIButton]') {

						listOfCourses.hide();
						var ApplicationTabGroup = require('ui/common/Home/staredQuestionDetail');
						var theTabGroup;
						if (isStarClick)
							theTabGroup = new ApplicationTabGroup(filterQuestionArray, filterQuestionArray.length, e.index);
						else
							theTabGroup = new ApplicationTabGroup(allQuestionArray, allQuestionArray.length, e.index);
						theTabGroup.addEventListener('close', function() {

							getAllStaredQuestion();
							data = [];
							listOfCourses.setData(data);
							if (isStarClick)
								createRow(filterQuestionArray);
							else {
								activityIndicator.show();
								createRow(allQuestionArray);
							}

						});
						theTabGroup.open();
					}
				}

				return;

			});

			//fatch the particular question status
			if (!isStarClick)
				checkStaredOrNot(QuestionArray[i].subjectID, QuestionArray[i].QustionId);
			else
				isQuestionStared = 1;

			var subjectListCourseName = Titanium.UI.createLabel({
				text : QuestionArray[i].Topic,
				font : {
					fontSize : '16dp'
				},
				textAlign : Ti.UI.TEXT_ALIGNMENT_LEFT,
				color : 'black',
				left : '10dp',
				width : '50%',
				center : true,
				questionID : QuestionArray[i].QustionId,
				subjectID : QuestionArray[i].subjectID
			});
			row.add(subjectListCourseName);

			var starSelcetion = Ti.UI.createButton({
				width : '30dp',
				height : '30dp',
				left : '62%',
				backgroundImage : isQuestionStared ? '/images/radio_Active2x.png' : '/images/radio_Inactive2x.png',
				center : true,
				buttonid : i, //our custom button property
				questionID : QuestionArray[i].QustionId,
				subjectID : QuestionArray[i].subjectID
			});
			row.add(starSelcetion);

			//check for if answer is correct or not

			checkQuestionStatus(QuestionArray[i].subjectID, QuestionArray[i].QustionId);

			var QuestionStatusButton = Ti.UI.createImageView({
				width : '30dp',
				height : '30dp',
				left : '52%',
				backgroundImage : isQuestionCorrect ? '/images/tick.png' : '/images/cross.png',
				center : true,
				questionID : QuestionArray[i].QustionId,
				subjectID : QuestionArray[i].subjectID

			});

			//check for if question is answerd or not if not answered  then hide this button otherwise add this

			if (isQuestionAnswered) {

				row.add(QuestionStatusButton);
			}

			var difficulitylabelFirst = Ti.UI.createImageView({
				width : '30dp',
				height : '30dp',
				left : '73%',
				backgroundImage : '/images/bars1.png',
				center : true,
				bottom : '10dp',
				questionID : QuestionArray[i].QustionId,
				subjectID : QuestionArray[i].subjectID
			});
			row.add(difficulitylabelFirst);

			//check & set difficulty label
			var dificulty = QuestionArray[i].Difficulty;

			switch(dificulty) {
				case 1: {
					difficulitylabelFirst.backgroundImage = '/images/bars1.png';
					break;
				}

				case 2: {
					difficulitylabelFirst.backgroundImage = '/images/bars2.png';
					break;
				}

				case 3: {
					difficulitylabelFirst.backgroundImage = '/images/bars3.png';
					break;
				}

				default:
					break;
			}

			var arrowButton = Ti.UI.createImageView({
				width : '13dp',
				height : '21dp',

				right : '2%',
				backgroundImage : '/images/list_arrowlarge.png',
				center : true,
				questionID : QuestionArray[i].QustionId,
				subjectID : QuestionArray[i].subjectID
			});
			row.add(arrowButton);

			data.push(row);

			//star select  button action method
			starSelcetion.addEventListener('click', function(e) {

				if (e.source.backgroundImage == '/images/radio_Active2x.png') {
					e.source.backgroundImage = '/images/radio_inactive2x.png';
					UpdateDictionary(e.source.subjectID, e.source.questionID);

				} else {
					e.source.backgroundImage = '/images/radio_Active2x.png';
					UpdateDictionary(e.source.subjectID, e.source.questionID);
				}
			});
		}

		listOfCourses.setData(data);
		listOfCourses.show();

		if (!isStarClick) {
			activityIndicator.hide();
		}

	}

	// *******************Bottom  View*******************************
	var bottomView = Titanium.UI.createView({
		width : '100%',
		height : '44dp',
		backgroundImage : '/images/footer.png',
		bottom : '0dp'
	});

	self.add(bottomView);

	var starButton = Titanium.UI.createButton({
		textAlign : Ti.UI.TEXT_ALIGNMENT_RIGHT,
		right : "10dp",
		center : true,
		height : '30dp',
		width : "30dp",
		backgroundImage : '/images/radio_Active2x.png',
	});

	bottomView.add(starButton);

	//--------------------selecte starred question button action----------------------------
	starButton.addEventListener('click', function(e) {
		listOfCourses.hide();

		if (e.source.backgroundImage == '/images/radio_Active2x.png') {
			e.source.backgroundImage = '/images/radio_inactive2x.png';
			isStarClick = false;
			activityIndicator.show();
			data = [];
			listOfCourses.setData(data);
			createRow(allQuestionArray);
		} else {
			e.source.backgroundImage = '/images/radio_Active2x.png';
			isStarClick = true;
			data = [];
			listOfCourses.setData(data);
			createRow(filterQuestionArray);
		}
		//Reload table view
	});

	//this method update the AppQuestionStatus Dictionay according to star button selection Array
	function UpdateDictionary(subjedtID, questionID) {
		var questionStatusDictionary = JSON.parse(JSON.stringify(Ti.App.Properties.getObject('AppQuestionStatus')));

		//var questionStatusArray = questionStatusDictionary[subjectArray[subjedtID]]; //fatching question array for particular subject
		var questionStatusArray = questionStatusDictionary[subjectArray[subjedtID]];

		if (questionStatusArray[questionID].isStared) {
			questionStatusArray[questionID].isStared = 0;
		} else {
			questionStatusArray[questionID].isStared = 1;
		}

		questionStatusDictionary[subjectArray[subjedtID]] = questionStatusArray;
		Ti.App.Properties.setObject('AppQuestionStatus', questionStatusDictionary);

	}

	function getAllStaredQuestion() {
		filterQuestionArray = [];
		var questionStatusDictionary = JSON.parse(JSON.stringify(Ti.App.Properties.getObject('AppQuestionStatus')));

		for (var count = 0; count < subjectArray.length; count++) {
			if (questionStatusDictionary[subjectArray[count]]) {
				var questionArray = questionStatusDictionary[subjectArray[count]];
				//fatching question array for particular subject

				var starQuestionArray = [];

				for (var count1 = 0; count1 < questionArray.length; count1++) {
					if (questionArray[count1].isStared) {
						//starQuestionArray.push(count1);
						var fileName = subjectArray[count] + '.json';
						var currentQuestionDict;
						var file = Titanium.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory, fileName);
						if (file.exists()) {
							var filedata = (file.read().text);
							currentQuestionDict = JSON.parse(filedata);
							var currentQuestionArray = [];
							currentQuestionArray = currentQuestionDict[count1];
							currentQuestionArray["subjectID"] = count;
							currentQuestionArray["QustionId"] = count1;
						}

						filterQuestionArray.push(currentQuestionArray);

					}
				}

			}
		}

		getAllquestionArray();

	}

	function getAllquestionArray() {
		//*************************get all question Dictionary*************************************
		for (var count = 0; count < subjectArray.length; count++) {
			var fileName = subjectArray[count] + '.json';
			var currentQuestionDict;
			var file = Titanium.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory, fileName);
			if (file.exists()) {
				var filedata = (file.read().text);
				currentQuestionDict = JSON.parse(filedata);

				for (var count2 = 0; count2 < currentQuestionDict.length; count2++) {
					var currentQuestionArray = [];
					currentQuestionArray = currentQuestionDict[count2];
					currentQuestionArray["subjectID"] = count;
					currentQuestionArray["QustionId"] = count2;
					allQuestionArray.push(currentQuestionArray);

				}
			}
		}

	}

	function checkStaredOrNot(subjectid, questionid) {
		var questionStatusDictionary = JSON.parse(JSON.stringify(Ti.App.Properties.getObject('AppQuestionStatus')));

		var questionArray = questionStatusDictionary[subjectArray[subjectid]];
		//fatching question array for particular subject

		//stared status
		if (questionArray[questionid].isStared)
			isQuestionStared = 1;
		else
			isQuestionStared = 0;

	}

	function checkQuestionStatus(subjectid, questionid) {
		var questionStatusDictionary = JSON.parse(JSON.stringify(Ti.App.Properties.getObject('AppQuestionStatus')));

		var questionArray = questionStatusDictionary[subjectArray[subjectid]];
		//answered status
		if (questionArray[questionid].isAnswered)
			isQuestionAnswered = 1;
		else
			isQuestionAnswered = 0;

		//correct status
		if (questionArray[questionid].answerStatus)
			isQuestionCorrect = 1;
		else
			isQuestionCorrect = 0;

	}

	return self;
};

module.exports = starredQuestionList;
