function Result(title, QustionId) {
   var subjectArray = ['Clinical-Systemic Disorders','Conduction Defects','Electrolyte disorders','Ischaemic Heart Disease','Supraventricular arrhythmias','Uncommon arrhythmias','Ventricular arrhythmias'];

	var osname = Ti.Platform.osname;
	var data = [];
	var QuestionDictionary;
	var starquestionId = [];
		var AnsweredQuestionId = [];
	var correctAnsweredQuestionId = [];
	var isStarClick = new Boolean();
	var rsultDictionary;
	isStarClick = false;
	var listOfCourses;
	var subjectName;
	var self = Ti.UI.createWindow({
		title : "title",
		//modal : true,
		backgroundColor : "gray",
		navBarHidden : true
	});
	self.orientationModes = [Titanium.UI.PORTRAIT];
	subjectName = subjectArray[0];
var isFromGoing = 0;
//Titanium.App.Properties.setString("isFromGoing", "0");


	getResult();
	// *******************Header View*******************************
	var headerView = Titanium.UI.createView({
		width : '100%',
		top : 0,
		height : '42dp',
		backgroundImage : '/images/topbar_plane.png',
		top : "0%"
	});

	self.add(headerView);
	// Header View for home screen
	var homeHeaderTitle = Titanium.UI.createLabel({
		text : "Results",
		color : 'white',
		font : {

			fontSize : '17dp'
		},
		textAlign : Ti.UI.TEXT_ALIGNMENT_CENTER,
	});
	headerView.add(homeHeaderTitle);

	var backBtn = Titanium.UI.createButton({
		left : "2dp",
		center : true,
		height : '30dp',
		width : "57dp",
		backgroundImage : '/images/home_btn.png',
		top : "5dp",

	});

	headerView.add(backBtn);

	backBtn.addEventListener('click', function(e) {
		self.close();
	});
	createScrollView(0);
	function createScrollView(passedvalue) {
		//*************************************Horizontal scroll view ***************************
		var ViewOfAddScroll = Titanium.UI.createView({
			borderRadius : 0,
			width : '90%',
			height : '40%',
			top : '15%',

		});
		self.add(ViewOfAddScroll);
		var scrollAlbums = Ti.UI.createScrollView({
			top : '0%',
			contentHeight : Ti.UI.SIZE, // add this
			height : "100%",
			layout : 'horizontal',
			showHorizontalScrollIndicator : true,
			showVerticalScrollIndicator : false, // should be a visual indication if can scroll
			scrollType : 'horizontal',
			width : Ti.UI.FILL,
			// assuming you need it full width - if not specify a width
		});
		if (osname === 'android') {
			scrollAlbums.setContentWidth("936");
		} else {
			scrollAlbums.setContentWidth("850dp");

		}

		var outerScrollView = Titanium.UI.createView({
			borderRadius : 0,
			touchEnabled : true,
			height : '100%',
			top : '0%',
			left : "0dp",
			backgroundColor : "gray",
			zIndex : 999

		});
		if (osname === 'android') {
			outerScrollView.setWidth("936");
		} else {
			outerScrollView.setWidth("850dp");
.0
		}
		var left = 0;
		for (var i = 0; i < subjectArray.length; i++) {
			var innerView = Titanium.UI.createView({
				borderRadius : 0,
				touchEnabled : true,
				width : '100dp',
				height : '100%',
				top : '0%',
				left : left + "dp",
				subject_id : i,
				zIndex : 999

			});
			
			
			
			if ((passedvalue != undefined) && (i == passedvalue)) {
				//alert("in >>" + passedvalue);
				innerView.setBackgroundColor("#00ffff");

			} else {
				innerView.setBackgroundColor("white");
			}
			//*************************score in seek value************************************
			var scoreLbl = Ti.UI.createLabel({

				index : i,
				font : {
					fontSize : '14dp'
				},
				touchEnabled : true,
				backgroundColor : "blue",
				width : '50dp',
				bottom : "40%",

				textAlign : Ti.UI.TEXT_ALIGNMENT_CENTER,
				subject_id : i,
				zIndex : 999

			});
		     //alert((resultResponseDict[subjectArray[i]].Correct));
			if ((resultResponseDict[subjectArray[i]].Correct) > 0) {
				scoreLbl.setText(Math.round((((resultResponseDict[subjectArray[i]].Correct) / (resultResponseDict[subjectArray[i]].Answered)) * 100)) + "%");
				scoreLbl.setHeight(Math.round(((58)*(((resultResponseDict[subjectArray[i]].Correct) / (resultResponseDict[subjectArray[i]].Answered)) * 100))/100) + "%");
               // alert(Math.round(((58)*(((resultResponseDict[subjectArray[i]].Correct) / (resultResponseDict[subjectArray[i]].Answered)) * 100))/100) + "%");
				//scoreLbl.setHeight(Math.round(((58) / ((resultResponseDict[subjectArray[i]].Answered)))) + "%");
			} else {
				scoreLbl.setHeight("0%");
			}
			//*************************resul label************************************
			var rsltLbl = Ti.UI.createLabel({
				index : i,
				font : {
					fontSize : '14dp'
				},
				touchEnabled : true,
				width : 'auto',
				height : 'auto',

				top : "67%",
				textAlign : Ti.UI.TEXT_ALIGNMENT_CENTER,
				color : "black",
				subject_id : i,
				zIndex : 999

			});
			rsltLbl.setText(resultResponseDict[subjectArray[i]].Answered + " out of " + resultResponseDict[subjectArray[i]].total);
			var courseLbl = Ti.UI.createLabel({
				text : subjectArray[i],
				index : i,
				font : {
					fontSize : '14dp'
				},
				touchEnabled : true,
				width : 'auto',
				bottom : "1%",
				center : true,
				textAlign : Ti.UI.TEXT_ALIGNMENT_CENTER,
				color : "black",
				subject_id : i,
				zIndex : 999

			});
			left = left + 105;
			//alert("left > " + left);
			innerView.add(scoreLbl);
			innerView.add(rsltLbl);
			innerView.add(courseLbl);
			outerScrollView.add(innerView);
			
			
			
		}
		scrollAlbums.add(outerScrollView);
		ViewOfAddScroll.add(scrollAlbums);

		// ****************************************clicl listenr to particulr subject***********************

		outerScrollView.addEventListener('click', function(e) 
		{
			scrollAlbums.removeAllChildren();
			isFromGoing = e.source.subject_id;
			//alert("isFromGoing"+isFromGoing);
			createScrollView(e.source.subject_id);
			subjectName = subjectArray[e.source.subject_id];
			//*****************getting a question dictionary of this subject**************************
			var fileName = subjectArray[e.source.subject_id] + '.json';
			Titanium.API.info(fileName);
			var file = Titanium.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory, fileName);
			if (file.exists()) {
				var filedata = (file.read().text);
				QuestionDictionary = JSON.parse(filedata);
				data = [];
				listOfCourses.setData(data);
				createRow(QuestionDictionary.length);
			}

			return;

		});
		/////////////////////////////////***********************

	}

	// ******************************Courses list view *********************************
	listOfCourses = Ti.UI.createTableView({
		left : "5%",
		top : '60%',
		height : '40%',
		backgroundColor : 'white',
		width : "90%",
		center : true

	});
	self.add(listOfCourses);

	var fileName = subjectArray[0] + '.json';
	Titanium.API.info(fileName);
	var file = Titanium.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory, fileName);
	if (file.exists()) {
		var filedata = (file.read().text);
		QuestionDictionary = JSON.parse(filedata);
		createRow(QuestionDictionary);
	}
	createRow(QuestionDictionary.length);

	//----------------------------method to create custom row--------------------------------
	function createRow(passedCount) {
			retriveStarredQuestion();

		for (var i = 0; i < passedCount; i++) {
			//---------------custom row-------------
			
			var row = Titanium.UI.createTableViewRow({
				height : '50dp',

			});

			var subjectListCourseName = Titanium.UI.createLabel({

				text : isStarClick ? QuestionDictionary[starquestionId[i]].Topic : QuestionDictionary[i].Topic,
				font : {
			fontSize : '14dp'
			},
				textAlign : Ti.UI.TEXT_ALIGNMENT_LEFT,
				color : 'black',
				left : '10dp',
				width : '50%',
				center : true
			});
			row.add(subjectListCourseName);

			// starselcted bitton
			 var index = isStarClick ? starquestionId.indexOf(starquestionId[i]) : starquestionId.indexOf(i) ; //check if currect cell id(sane id for star button) exist in starquestionId array
			var starSelcetion = Ti.UI.createButton({
				width : '30dp',
				height : '30dp',
				left : '62%',
				backgroundImage :(index > -1)?'/images/radio_Active2x.png': '/images/radio_inactive2x.png',
				center : true,
				buttonid : i    //our custom button property
			});
			row.add(starSelcetion);
			
			//check for if answer is correct or not
			 var index2 = isStarClick ? correctAnsweredQuestionId.indexOf(starquestionId[i]) : correctAnsweredQuestionId.indexOf(i) ; 
			 var QuestionStatusButton = Ti.UI.createButton({
			   	width : '30dp',
				height : '30dp',
				left : '52%',
				backgroundImage :(index2 > -1)?'/images/tick.png': '/images/cross.png',
				center : true,
				buttonid : i    //our custom button property
			});
			
			//check for if question is answerd or not if not answered  then hide this button otherwise add this
			var index3 = isStarClick ? AnsweredQuestionId.indexOf(starquestionId[i]) : AnsweredQuestionId.indexOf(i) ; 
			if(index3 > -1)
				row.add(QuestionStatusButton);

			var difficulitylabelFirst = Ti.UI.createLabel({
				width : '30dp',
				height : '30dp',
				left : '73%',
				backgroundImage : '/images/bars1.png',
				center : true,
				bottom : '10dp',
			});
			row.add(difficulitylabelFirst);
			

	
			
			//check & set diddiculty label 
			var dificulty =isStarClick ? QuestionDictionary[starquestionId[i]].Difficulty : QuestionDictionary[i].Difficulty;
					Titanium.API.info(dificulty);

			switch(dificulty)
				{
					case 1:
					{
						difficulitylabelFirst.backgroundImage='/images/bars1.png';
						break;
					}	
		
					case 2:
					{
						difficulitylabelFirst.backgroundImage='/images/bars2.png';
						break;
					}
					
					case 3:
					{
						difficulitylabelFirst.backgroundImage='/images/bars3.png';
						break;
					}
		
					default:
					break;
				}
				
			var arrowButton = Ti.UI.createButton({
				width : '13dp',
				height : '21dp',
				right : '2%',
				backgroundImage : '/images/list_arrowlarge.png',
				center : true
			});
			row.add(arrowButton);
			
			
			data.push(row);
			
			//star select  button action method
			starSelcetion.addEventListener('click', function(e)
			 {
			 	
			 	if(e.source.backgroundImage =='/images/radio_Active2x.png')
			 	{
			 		  e.source.backgroundImage='/images/radio_inactive2x.png';
			 		  //Remove buttonid from starquestionId array
			 		  if(isStarClick)
			 		  {
			 		  	var index = starquestionId.indexOf(starquestionId[e.source.buttonid]);
			 		  if (index > -1) {
    					starquestionId.splice(index, 1);
			 		  }
			 		  }
			 		  else
			 		  {
			 		  	var index = starquestionId.indexOf(e.source.buttonid);
			 		  if (index > -1) {
    					starquestionId.splice(index, 1);
			 		  }
			 		  UpdateDictionary();
				}

			 	}
			 	else
			 	{
			 		  e.source.backgroundImage='/images/radio_Active2x.png';
			 		   //add buttonid from starquestionId array
			 		  starquestionId.push(e.source.buttonid);
			 		  UpdateDictionary();
			 	}
        
        	
        		Ti.API.info(starquestionId);
   			});		

		}
		listOfCourses.setData(data);

	}


	function getResult() {
		var resultDict = {};
		var questionStatusDictionary = JSON.parse(JSON.stringify(Ti.App.Properties.getObject('AppQuestionStatus')));

		for (var i = 0; i < subjectArray.length; i++) {
			if (questionStatusDictionary[subjectArray[i]]) {
				var questionArray = questionStatusDictionary[subjectArray[i]];

				var totalAnsweredCount = 0;
				var totalCorrectCount = 0;
				var totalQuestion;
				totalQuestion = questionArray.length;
				for (var j = 0; j < questionArray.length; j++) {
					if (questionArray[j].isAnswered) {
						totalAnsweredCount++;
					}

					if (questionArray[j].answerStatus) {
						totalCorrectCount++;
					}
				}

				var result = {};
				result["total"] = totalQuestion;
				result["Answered"] = totalAnsweredCount;
				result["Correct"] = totalCorrectCount;

				resultDict[subjectArray[i]] = result;
				resultResponseDict = JSON.parse(JSON.stringify(resultDict));
			}
		}

		//alert("resultResponseDict >> " + JSON.stringify(resultResponseDict));
		//alert("resultDict >> " + resultResponseDict.length);

	}


	listOfCourses.addEventListener('click', function(e) {
		Ti.API.info("got click event");
		if (osname === 'android') {
			//alert("android" +osname);
			if (e.source.toString() != '[object Button]')
			 	{

		if(isStarClick)
				{
					var rowId = starquestionId[e.index];
				}
				else
				{
					var rowId = e.index;
				}
				var ApplicationTabGroup = require('ui/common/Home/QuestionDetail');

				var theTabGroup = new ApplicationTabGroup('fgdg',subjectName, rowId,isStarClick,starquestionId,QuestionDictionary);
				theTabGroup.addEventListener('close',function()
				{
					
					//alert('close');
					retriveStarredQuestion();
					data = [];
   			 		listOfCourses.setData(data);
   			 		(isStarClick) ?createRow(starquestionId.length) : createRow(QuestionDictionary.length);
   			 		getResult();
   		            createScrollView(isFromGoing);
				});
				theTabGroup.open();
	
			}
		}
		else{
		if (e.source.toString() != '[object TiUIButton]')
			 	{

				
				if(isStarClick)
				{
					var rowId = starquestionId[e.index];
				}
				else
				{
					var rowId = e.index;
				}
				var ApplicationTabGroup = require('ui/common/Home/QuestionDetail');

				var theTabGroup = new ApplicationTabGroup('fgdg',subjectName, rowId,isStarClick,starquestionId,QuestionDictionary);
				theTabGroup.addEventListener('close',function()
				{
					//alert("in");
					
					//
					//
					//alert('close');
					retriveStarredQuestion();
					data = [];
   			 		listOfCourses.setData(data);
   			 		(isStarClick) ?createRow(starquestionId.length) : createRow(QuestionDictionary.length);
   			 		getResult();
   		createScrollView(isFromGoing);
				});

				theTabGroup.open();

			}
		}
			return;
		
	});	
	//this method update the AppQuestionStatus Dictionay according to star button selection Array
	function UpdateDictionary()
	{
		////alert('update');
			var questionDictionary = 	Ti.App.Properties.getObject('AppQuestionStatus');
			var questionArray = questionDictionary[subjectName]; //fatching question array for particular subject
			Titanium.API.info('questionArray'+questionArray);
			////alert(questionArray);
			for(var count = 0; count <questionArray.length; count++)
			{
				
				//var questionID = starquestionId[count];
				//Titanium.API.info('select questionArray' + questionArray[questionID]);
				
				if(starquestionId.indexOf(count) == -1)
					questionArray[count].isStared = 0;
				else
					questionArray[count].isStared = 1;
			}
			questionDictionary[subjectName] = questionArray;
			Ti.App.Properties.setObject('AppQuestionStatus', questionDictionary);
			Titanium.API.info(questionDictionary);
	}
	
	function retriveStarredQuestion()
	{
		starquestionId = [];
		AnsweredQuestionId = [];
		correctAnsweredQuestionId = [];
		    var questionDictionary = 	Ti.App.Properties.getObject('AppQuestionStatus');
			var questionArray = questionDictionary[subjectName]; //fatching question array for particular subject
		
	//	alert(questionArray);
		for(var count = 0; count <questionArray.length; count++)
		{
			if(questionArray[count].isStared)
			{
				starquestionId.push(count);
			}
			
			if(questionArray[count].isAnswered)
			{
				AnsweredQuestionId.push(count);
			}
			
			if(questionArray[count].answerStatus)
			{
				correctAnsweredQuestionId.push(count);
			}
		}
		
		//alert(questionDictionary);
	
	
		
		////alert(starquestionId);
	}

	
	return self;
};

module.exports = Result;
