function SettingWindow(title) {
	var self = Ti.UI.createWindow({
		title : "title",
		backgroundColor : '#aaaaaa',
		navBarHidden : true,
		exitOnClose : true
		//modal : true

	});
	self.orientationModes = [Titanium.UI.PORTRAIT];

	var osname = Ti.Platform.osname;

	//************************************Header view*******************************************************

	var headerView = Titanium.UI.createView({
		width : '100%',
		height : '42dp',
		backgroundColor : "black",
		backgroundImage : '/images/topbar.png',
		top : "0%"
	});

	self.add(headerView);
	// i value image view
	var iBtn = Titanium.UI.createButton({
		textAlign : Ti.UI.TEXT_ALIGNMENT_RIGHT,
		backgroundImage : '/images/info_iconnext.png',
		right : "10dp",
		center : true,
		height : '25dp',
		width : "25dp"

	});

	headerView.add(iBtn);
	//***********************************ibtn click event************************************
	iBtn.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the star button");
		//getAllStaredQuestion();

		var ApplicationTabGroup = require('ui/common/Home/Information');

		var theTabGroup = new ApplicationTabGroup();

		theTabGroup.open();

	});

	//********************************Reset All score Btn********************************************

	var resetScoreBtn = Titanium.UI.createButton({
		textAlign : Ti.UI.TEXT_ALIGNMENT_CENTER,
		backgroundImage : '/images/reset.png',
		//title : "Reset All Scores",
		center : true,
		height : '47dp',
		width : "155dp",
		top : "15%"

	});

	self.add(resetScoreBtn);

	resetScoreBtn.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the sbas button");
		//alert("Test button clicked");

		deleteAllResult();

		var dialog = Ti.UI.createAlertDialog({
			message : 'All result has been deleted',
			ok : 'Ok',
			title : 'Success'
		}).show();

	});

	//********************************************Tab view*****************************************

	var tabView = Titanium.UI.createView({
		width : '100%',
		height : '60dp',
		left : '0%',
		//backgroundColor : 'black',
		bottom : "0%",
		backgroundImage : '/images/footer_bar.png'
	});
	self.add(tabView);

	var tabHomeView = Titanium.UI.createView({
		width : '50%',
		height : '100%',
		left : '0%',
		layout : 'vertical',
		backgroundImage : '/images/unselected.png'

	});
	tabView.add(tabHomeView);

	var homeButton = Ti.UI.createButton({

		height : '35dp',
		width : '35dp',
		//title : 'Home',
		//color : "black",
		//backgroundColor : 'red',
		backgroundImage : '/images/home_edit_deactive.png',
		top : "5dp"
	});
	tabHomeView.add(homeButton);

	var name = Titanium.UI.createLabel({
		text : "Home",
		color : "white",

		font : {
			fontSize : '15dp'
		},
		height : 'auto',
		width : 'auto'
	});

	tabHomeView.add(name);

	/*
	 var examModeButton = Ti.UI.createButton({
	 top : '0%',
	 left : '33.33%',
	 height : '100%',
	 width : (osname == 'android') ? '33.33%' : '102dp',
	 //title : 'ExamMode',
	 //color : "black",
	 //backgroundColor : 'blue',
	 backgroundImage : '/images/exam_mode_unpressed@2x.png'

	 });
	 tabView.add(examModeButton);
	 */

	var tabSettingsView = Titanium.UI.createView({
		width : '50%',
		height : '100%',
		left : '50%',
		layout : 'vertical',
		backgroundImage : '/images/selected.png'

	});
	tabView.add(tabSettingsView);

	var settingsButton = Ti.UI.createButton({

		height : '35dp',
		width : '35dp',
		backgroundImage : '/images/setting_edit_active.png',
		top : "5dp"

	});
	tabSettingsView.add(settingsButton);
	var nameSettings = Titanium.UI.createLabel({
		text : "Settings",
		color : "white",

		font : {
			fontSize : '15dp'
		},
		height : 'auto',
		width : 'auto'
	});

	tabSettingsView.add(nameSettings);

	// homebtn click listener
	//Button action
	tabHomeView.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the sbas button");
		//alert("Test button clicked");

		var ApplicationTabGroup = require('ui/common/HomeWindow');

		var theTabGroup = new ApplicationTabGroup();

		theTabGroup.open();

	});
	// Exam mode btn

	/*
	examModeButton.addEventListener('click', function(e) {
	Titanium.API.info("You clicked the sbas button");
	//alert("Test button clicked");

	var ApplicationTabGroup = require('ui/common/ExamWindow');

	var theTabGroup = new ApplicationTabGroup();

	theTabGroup.open();

	});*/

	//
	tabSettingsView.addEventListener('click', function(e) {
		Titanium.API.info("You clicked the sbas button");
		//alert("Test button clicked");

		var ApplicationTabGroup = require('ui/common/SettingWindow');

		var theTabGroup = new ApplicationTabGroup();

		theTabGroup.open();

	});
	/*
	 self.addEventListener('android:back', function(e) {
	 alert("back");
	 // do nothing
	 });
	 */

	function deleteAllResult() {
		var questionStatusDictionary = JSON.parse(JSON.stringify(Ti.App.Properties.getObject('AppQuestionStatus')));

		var subjectArray = ['Clinical-Systemic Disorders', 'Conduction Defects', 'Electrolyte disorders', 'Ischaemic Heart Disease', 'Supraventricular arrhythmias', 'Uncommon arrhythmias', 'Ventricular arrhythmias'];

		for (var count = 0; count < subjectArray.length; count++) {
			//alert(subjectArray[count]);
			var questionArray = questionStatusDictionary[subjectArray[count]];
			//alert(JSON.stringify(questionArray));
			//alert(questionArray[count]);
			//fatching question array for particular subject
			//Titanium.API.info('questionArray' + questionArray);
			////alert(questionArray);
			for (var count1 = 0; count1 < questionArray.length; count1++) {
				//var staredStatus = questionArray[count].isStared;
				questionArray[count1].isAnswered = 0;
				questionArray[count1].answerStatus = 0;
				//questionArray[count1].isStared = staredStatus;
			}
			questionStatusDictionary[subjectArray[count]] = questionArray;
		}

		//Ti.API.info(questionStatusDictionary);
		Ti.App.Properties.setObject('AppQuestionStatus', questionStatusDictionary);

	}

	return self;
};

module.exports = SettingWindow;

